Bug 1792717

Summary: Failed to install fail2ban-all
Product: [Fedora] Fedora EPEL Reporter: Björn Dieding <bjoern>
Component: fail2banAssignee: Orion Poplawski <orion>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: epel8CC: anon.amish, axel.thimm, dennis, kevin, mastahnke, orion, smooge, smooge, vonsch
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-01-30 23:29:58 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Björn Dieding 2020-01-19 11:11:40 UTC
Description of problem:

If I install failtoban I get this problem:

[root@centos8 vagrant]# yum install fail2ban-all
Last metadata expiration check: 0:24:25 ago on Sun 19 Jan 2020 11:44:03 AM CET.
Error:
 Problem: package fail2ban-all-0.10.4-8.el8.noarch requires fail2ban-shorewall = 0.10.4-8.el8, but none of the providers can be installed
  - conflicting requests
  - nothing provides shorewall needed by fail2ban-shorewall-0.10.4-8.el8.noarch
(try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)

Version-Release number of selected component (if applicable):

[root@centos8 vagrant]# yum info fail2ban-all
Last metadata expiration check: 0:23:38 ago on Sun 19 Jan 2020 11:44:03 AM CET.
Available Packages
Name         : fail2ban-all
Version      : 0.10.4
Release      : 8.el8
Architecture : noarch
Size         : 17 k
Source       : fail2ban-0.10.4-8.el8.src.rpm
Repository   : epel
Summary      : Install all Fail2Ban packages and dependencies
URL          : http://fail2ban.sourceforge.net/
License      : GPLv2+
Description  : This package installs all of the Fail2Ban packages and dependencies.

[root@centos8 vagrant]# yum info fail2ban-shorewall
Last metadata expiration check: 0:23:54 ago on Sun 19 Jan 2020 11:44:03 AM CET.
Available Packages
Name         : fail2ban-shorewall
Version      : 0.10.4
Release      : 8.el8
Architecture : noarch
Size         : 18 k
Source       : fail2ban-0.10.4-8.el8.src.rpm
Repository   : epel
Summary      : Shorewall support for Fail2Ban
URL          : http://fail2ban.sourceforge.net/
License      : GPLv2+
Description  : This package enables support for manipulating shorewall rules.

How reproducible:

Always

Steps to Reproduce:

[root@centos8 vagrant]# yum install fail2ban-all
Last metadata expiration check: 0:24:25 ago on Sun 19 Jan 2020 11:44:03 AM CET.
Error:
 Problem: package fail2ban-all-0.10.4-8.el8.noarch requires fail2ban-shorewall = 0.10.4-8.el8, but none of the providers can be installed
  - conflicting requests
  - nothing provides shorewall needed by fail2ban-shorewall-0.10.4-8.el8.noarch
(try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)

Actual results:

[root@centos8 vagrant]# yum install fail2ban-all
Last metadata expiration check: 0:24:25 ago on Sun 19 Jan 2020 11:44:03 AM CET.
Error:
 Problem: package fail2ban-all-0.10.4-8.el8.noarch requires fail2ban-shorewall = 0.10.4-8.el8, but none of the providers can be installed
  - conflicting requests
  - nothing provides shorewall needed by fail2ban-shorewall-0.10.4-8.el8.noarch
(try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)

Expected results:

This shall install fail2ban-all and fail2ban-shorewall

Comment 1 Stephen John Smoogen 2020-01-19 16:48:52 UTC
I believe this isn't an epel-release issue but with the package fail2ban.

Comment 2 Fedora Update System 2020-01-20 01:13:50 UTC
FEDORA-EPEL-2020-65b8bcb8bf has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-65b8bcb8bf

Comment 3 Fedora Update System 2020-01-30 23:29:58 UTC
shorewall-5.2.2-4.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.